/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "DBusCoreAdaptor.h"

#include "Application.h"
#include "MainWindow.h"
#include "Singleton.h"

namespace DBus
{
    //________________________________________________________________________
    CoreAdaptor::CoreAdaptor( MainWindow *parent ):
        QDBusAbstractAdaptor(parent),
        Counter( "CoreAdaptor" )
    { setAutoRelaySignals(true); }

    //________________________________________________________________________
    void CoreAdaptor::Quit()
    { Base::Singleton::get().application<Application>()->requestExit(); }

    //________________________________________________________________________
    void CoreAdaptor::Raise()
    { Base::Singleton::get().application<Application>()->showMainWindow(); }

}
