/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "ReconnectionWidget.h"

#include "IconEngine.h"
#include "IconNames.h"
#include "IconSize.h"

#include <QLabel>
#include <QLayout>

//________________________________________________________
ReconnectionWidget::ReconnectionWidget( QWidget* parent ):
    QWidget( parent ),
    Counter( "ReconnectionWidget" )
{
    auto hLayout = new QHBoxLayout;
    setLayout( hLayout );

    QLabel* label;
    hLayout->addWidget( label = new QLabel( this ) );
    label->setPixmap( IconEngine::get( IconNames::DialogWarning ).pixmap( IconSize( IconSize::Large ).get() ) );

    hLayout->addWidget( label = new QLabel( tr( "Lost connection to MPD daemon" ), this ), 1 );
    hLayout->addWidget( reconnectionButton_ = new QPushButton( IconEngine::get( IconNames::Connect ), tr( "Reconnect" ), this ) );

    connect( reconnectionButton_, SIGNAL(clicked()), this, SLOT(hide()) );
}
